module AssetHelper
    def copy_without_overwriting(src: nil, dst: nil)
        FileUtils.cp(src_path(src), dst_path(dst)) unless File.exists?(dst_path(dst))
    end

    def src_path(*asset)
        asset_path(asset)
    end

    def dst_path(*asset)
        File.join(asset)
    end

    def asset_path(*path)
        return File.join(File.dirname(__FILE__), "..", "..", "..", "assets", path)
    end
end
