module ModeHelper
    def get_mode(environment)
        env_mode = environment["mode"]
        mode = ModeScp.new if env_mode == "scp"

        raise "No mode available for the given mode '#{env_mode}'" unless mode
        return mode
    end
end
