class Remote
    include PuntfileHelper
    include ModeHelper

    def remote(env: nil)


        environment = punt_environment(env: env)

        mode = get_mode(environment)
        mode_opts = mode.mode_opts(environment)

        puts "Fetching Version for #{env}"
        puts ""

        start_version = mode.download_versionfile("start", mode_opts: mode_opts)
        success_version = mode.download_versionfile("success", mode_opts: mode_opts)

        if (success_version == start_version)
            puts "Currently deployed version: #{success_version}"
        else
            puts "An aborted deployement was detected!"
            puts "\tLast Success: #{success_version}"
            puts "\tLast Attempt: #{start_version}"
        end
    end
end
